<?php

namespace WPRA\Database\Query;

use WPRA\Database\BaseQuery;

class Insert extends BaseQuery {
	private $values;
	private $fields;
	private $type = 'single';

	static function create() {
		return new self();
	}

	function multi() {
		$this->type = 'multi';

		return $this;
	}

	function values($values) {
		$this->values = $values;

		return $this;
	}

	function fields($fields) {
		$this->fields = $fields;

		return $this;
	}

	function build() {
		$keys = array_keys($this->values);
		$is_assoc = $keys !== range(0, count($this->values) - 1);

		if ($is_assoc) {
			$this->fields = $keys;
			$this->values = array_values($this->values);
		}

		$fields = self::field_list($this->fields);
		$values = '';

		if ( $this->type == 'single' ) {
			$values .= self::parenthesis_list($this->values);
		} else if ( $this->type == 'multi' ) {
			foreach ( $this->values as $value ) {
				$this->sql .= self::parenthesis_list($value,  ',');
			}

			$values = rtrim( $this->sql, ',' );
		}

		$this->sql = sprintf( "insert into %s (%s) VALUES %s", $this->table, $fields, $values );

		return $this;
	}
}