<?php

namespace WPRA\Database;

use WPRA\App;
use WPRA\Database\Query;

class QueryRunner {
	private $query;

	public function __construct($query) {
		$this->query = $query;
	}

	static function create($query) {
		return new self($query);
	}

	function run() {

		if ( $this->query instanceof Query\Select ) {
			$type   = $this->query->getType();
			$output = $this->query->getOutput();
			$sql    = $this->query->getSql();

			if ( $type == 'all' ) {
				return App::$db->get_results( $sql, $output );
			}
			if ( $type == 'one' ) {
				return App::$db->get_var( $sql );
			}
			if ( $type == 'row' ) {
				return App::$db->get_row( $sql, $output );
			}
			if ( $type == 'col' ) {
				return App::$db->get_col( $sql );
			}
		}

		if ( $this->query instanceof Query\Insert ) {
			$result = App::$db->query( $this->query->getSql() );

			return [
				'query_success' => $result !== false,
				'insert_id'     => App::$db->insert_id,
				'rows_affected' => App::$db->rows_affected,
			];
		}

		if ( $this->query instanceof Query\Delete ) {
			return App::$db->query( $this->query->getSql() );
		}

		if ( $this->query instanceof Query\Update ) {
			return App::$db->query( $this->query->getSql() );
		}

		return false;
	}
}