<?php

namespace WPRA\Integrations;

use WPRA\Shortcode;
use WPRA\Config;

class Woo {

	public static function init() {
		return new self();
	}

	public function __construct() {
		add_action( 'init', [ $this, 'registerHooks' ], 90 );
	}

	public function registerHooks() {
		if ( Config::$settings['woo_integration'] and Config::$settings['woo_shortcode_id'] > 0 ) {
			$hook = Config::$settings['woo_location'] == 'woocommerce_use_custom_hook'
				? Config::$settings['woo_custom_product_hook']
				: Config::$settings['woo_location'];

			add_action( $hook, function () {
				global $post;
				$is_on = get_post_meta( $post->ID, '_wpra_show_emojis', 'true' );
				if ( $is_on == 'false' ) return;
				echo Shortcode::handle( [ 'sgc_id' => Config::$settings['woo_shortcode_id'], 'bind_to_post' => 'yes' ] );
			} );
		}
	}
}