<?php

use WPRA\Helpers\Utils;
use WPRA\FieldManager;

$options = [];
if (isset($data)) {
	extract($data);
}
?>
<div id="opt_block_animation_state" class="option-wrap">
    <div class="option-header">
        <h4>
            <span><?php _e( 'Emoji Animation', 'wpreactions' ); ?></span>
			<?php Utils::tooltip( 'animation-state' ); ?>
        </h4>
    </div>
	<?php
	FieldManager\Radio::create()
		->setName( 'animation' )
		->addRadios(
			[
				FieldManager\RadioItem
					::create()
					->setId( 'animation_true' )
					->setValue( 'true' )
					->setLabel( __( 'Animated', 'wpreactions' ) ),
				FieldManager\RadioItem
					::create()
					->setId( 'animation_hover' )
					->setValue( 'on_hover' )
					->setLabel( __( 'Animate single emoji on hover', 'wpreactions' ) ),
				FieldManager\RadioItem
					::create()
					->setId( 'animation_hover_all' )
					->setValue( 'on_hover_all' )
					->setLabel( __( 'Animate all on hover', 'wpreactions' ) ),
				FieldManager\RadioItem
					::create()
					->setId( 'animation_false' )
					->setValue( 'false' )
					->setLabel( __( 'Static', 'wpreactions' ) ),
			]
		)
		->setChecked( $options['animation'] )
		->addClasses( 'form-group-inline' )
		->build();
	?>
</div>
