<?php
use WPRA\Helpers\Utils;
use WPRA\FieldManager;

$options = [];
if (isset($data)) {
	extract($data);
}

$tooltip_content = Utils::isPage( 'global' ) ? 'live-counts-global' : 'live-counts-sgc';
?>

<div class="option-wrap">
    <div class="option-header">
        <h4>
            <span><?php _e( 'Badges', 'wpreactions' ); ?></span>
			<?php Utils::tooltip( $tooltip_content ); ?>
        </h4>
        <span><?php _e( 'Enable user reaction counts and manage your badges', 'wpreactions' ); ?></span>
    </div>
    <div class="row align-items-center">
        <div class="col-md-12">
			<?php
			FieldManager\Checkbox::create()
				->addCheckbox(
					'show_count',
					$options['show_count'],
					__( 'Enable/Disable', 'wpreactions' )
                )
				->build();

			FieldManager\Checkbox::create()
				->addCheckbox(
					'count_percentage',
					$options['count_percentage'],
					__( 'Enable user counts to show percentage instead of numeric.', 'wpreactions' ),
					'true',
					'count-percentage'
				)
				->addClasses( 'mt-3' )
				->build();
			?>
            <div class="row mt-3">
                <div class="col-md-6">
					<?php
					FieldManager\Text::create()
						->setId( 'count_color' )
						->setType( 'color-chooser' )
						->setValue( $options['count_color'] )
						->setLabel( __( 'Badge Color', 'wpreactions' ) )
						->build();
					?>
                </div>
                <div class="col-md-6">
					<?php
					FieldManager\Text::create()
						->setId( 'count_text_color' )
						->setType( 'color-chooser' )
						->setValue( $options['count_text_color'] )
						->setLabel( __( 'Number Color', 'wpreactions' ) )
						->build();
					?>
                </div>
            </div>
        </div>
    </div>
</div>
