<?php

use WPRA\Helpers\Utils;
use WPRA\FieldManager;

$options = [];
if (isset($data)) {
	extract($data);
}
?>

<div class="option-wrap">
    <div class="option-header">
        <h4>
            <span><?php _e( 'Progress Bars', 'wpreactions' ); ?></span>
			<?php Utils::tooltip( 'progress-bars' ); ?>
        </h4>
        <span><?php _e( 'Customize your design', 'wpreactions' ); ?></span>
    </div>
    <div class="row mb-3 align-items-center">
        <div class="col-md-12">
			<?php
			FieldManager\Checkbox::create()
				->addCheckbox(
					'count_percentage',
					$options['count_percentage'],
					__( 'Enable user counts to show percentage instead of numeric', 'wpreactions' ),
					'true',
					'count-percentage'
				)
				->build();
			?>
        </div>
    </div>
    <div class="row mb-3">
        <div class="col-md-4">
			<?php
			FieldManager\Text::create()
				->setId( 'bar_background_color' )
				->setType( 'color-chooser' )
				->setValue( $options['bar_background_color'] )
				->setLabel( __( 'Background Color', 'wpreactions' ) )
				->build();
			?>
        </div>
        <div class="col-md-4">
			<?php
			FieldManager\Text::create()
				->setId( 'bar_progress_color' )
				->setType( 'color-chooser' )
				->setValue( $options['bar_progress_color'] )
				->setLabel( __( 'Progress Bar Color', 'wpreactions' ) )
				->build();
			?>
        </div>
    </div>
    <div class="row">
        <div class="col">
		    <?php
		    FieldManager\Text::create()
			    ->setId( 'bar_count_color' )
			    ->setType( 'color-chooser' )
			    ->setValue( $options['bar_count_color'] )
			    ->setLabel( __( 'Number Color', 'wpreactions' ) )
			    ->build();
		    ?>
        </div>
        <div class="col">
		    <?php
		    FieldManager\Select::create()
			    ->setId( 'bar_count_size' )
			    ->setLabel( __( 'Number Font Size', 'wpreactions' ) )
			    ->setValues( Utils::pixels( 8 ) )
			    ->setValue( $options['bar_count_size'] )
			    ->build();
		    ?>
        </div>
        <div class="col">
	        <?php
	        FieldManager\Select::create()
		        ->setId( 'bar_count_weight' )
		        ->setLabel( __( 'Number Font Weight', 'wpreactions' ) )
		        ->setValues( [
			        '100' => '100',
			        '200' => '200',
			        '300' => '300',
			        '400' => '400',
			        '500' => '500',
			        '600' => '600',
			        '700' => '700',
		        ] )
		        ->setValue( $options['bar_count_weight'] )
		        ->build();
	        ?>
        </div>
    </div>
</div>
