<?php

use WPRA\Helpers\Utils;
use WPRA\FieldManager;

$options = [];
if (isset($data)) {
	extract($data);
}
?>
<div class="option-wrap">
    <div class="option-header">
        <h4>
            <span><?php _e( 'Reaction Container Styling', 'wpreactions' ); ?></span>
			<?php Utils::tooltip( 'reaction-container' ); ?>
        </h4>
        <span><?php _e( 'Change color options for labels and text', 'wpreactions' ); ?></span>
    </div>
    <div class="row">
        <div class="col">
			<?php
			FieldManager\Select::create()
				->setId( 'reaction_border_radius' )
				->setLabel( __( 'Border Radius', 'wpreactions' ) )
				->setValues( Utils::pixels( 0 ) )
				->setValue( $options['reaction_border_radius'] )
				->addClasses( 'form-group mb-3' )
				->build();
			?>
        </div>
        <div class="col">
			<?php
			FieldManager\Select::create()
				->setId( 'reaction_border_width' )
				->setLabel( __( 'Border Width', 'wpreactions' ) )
				->setValues( Utils::pixels( 0 ) )
				->setValue( $options['reaction_border_width'] )
				->addClasses( 'form-group mb-3' )
				->build();
			?>
        </div>
        <div class="col">
			<?php
			FieldManager\Text::create()
				->setId( 'reaction_border_color' )
				->setLabel( __( 'Border Color', 'wpreactions' ) )
				->setType( 'color-chooser' )
				->setValue( $options['reaction_border_color'] )
				->addClasses( 'form-group mb-md-0 mb-3' )
				->build();
			?>
        </div>
        <div class="col">
			<?php
			FieldManager\Select::create()
				->setId( 'reaction_border_style' )
				->setLabel( __( 'Border Style', 'wpreactions' ) )
				->setValues( [
					'dotted' => 'dotted',
					'dashed' => 'dashed',
					'solid'  => 'solid',
					'double' => 'double',
					'groove' => 'groove',
					'ridge'  => 'ridge',
					'none'   => 'none',
				] )
				->setValue( $options['reaction_border_style'] )
				->addClasses( 'form-group' )
				->build();
			?>
        </div>
    </div>
    <div class="row">
        <div class="col-md-3">
		    <?php
		    FieldManager\Text::create()
			    ->setId( 'reaction_color_active' )
			    ->setLabel( __( 'Active Color', 'wpreactions' ) )
			    ->setType( 'color-chooser' )
			    ->setValue( $options['reaction_color_active'] )
			    ->addClasses( 'form-group mb-md-0 mb-3' )
			    ->build();
		    ?>
        </div>
    </div>
</div>