<?php
use WPRA\Helpers\Utils;
use WPRA\FieldManager;

$options = [];
if (isset($data)) {
	extract($data);
}
?>
<div class="option-wrap">
    <div class="option-header">
        <h4>
            <span><?php _e( 'Button Padding', 'wpreactions' ); ?></span>
            <?php Utils::tooltip('reveal-button-padding'); ?>
        </h4>
        <span><?php _e( 'Adjust the inner padding to resize your button', 'wpreactions' ); ?></span>
    </div>
    <div class="row">
	    <?php
	    FieldManager\Select::create()
		    ->setId( 'reveal_button-padding_top' )
		    ->setLabel( __( 'Top', 'wpreactions' ) )
		    ->setValues( Utils::pixels( 0 ) )
		    ->setValue( $options['reveal_button']['padding_top'] )
		    ->addClasses( 'col' )
		    ->build();
	    FieldManager\Select::create()
		    ->setId( 'reveal_button-padding_right' )
		    ->setLabel( __( 'Right', 'wpreactions' ) )
		    ->setValues( Utils::pixels( 0 ) )
		    ->setValue( $options['reveal_button']['padding_right'] )
		    ->addClasses( 'col' )
		    ->build();
	    FieldManager\Select::create()
		    ->setId( 'reveal_button-padding_bottom' )
		    ->setLabel( __( 'Bottom', 'wpreactions' ) )
		    ->setValues( Utils::pixels( 0 ) )
		    ->setValue( $options['reveal_button']['padding_bottom'] )
		    ->addClasses( 'col' )
		    ->build();
	    FieldManager\Select::create()
		    ->setId( 'reveal_button-padding_left' )
		    ->setLabel( __( 'Left', 'wpreactions' ) )
		    ->setValues( Utils::pixels( 0 ) )
		    ->setValue( $options['reveal_button']['padding_left'] )
		    ->addClasses( 'col' )
		    ->build();
	    ?>
    </div>
</div>