<?php 
use WPRA\FieldManager;
use WPRA\Helpers\Utils;

$options = [];
if (isset($data)) {
	extract($data);
}
?>
<div class="option-wrap">
	<div class="option-header">
		<h4>
            <span><?php _e( 'Button Design', 'wpreactions' ); ?></span>
			<?php Utils::tooltip('reveal-button-style'); ?>
		</h4>
		<span><?php _e( 'Choose your styling options to customize your button.', 'wpreactions' ); ?></span>
	</div>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group mb-3">
				<?php
				FieldManager\Text::create()
					->setId( 'reveal_button-text_color' )
					->setType( 'color-chooser' )
					->setValue( $options['reveal_button']['text_color'] )
					->setLabel( __( 'Text color', 'wpreactions' ) )
					->build();
				?>
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group mb-3">
				<?php
				FieldManager\Select::create()
					->setId( 'reveal_button-font_size' )
					->setLabel( __( 'Font size', 'wpreactions' ) )
					->setValues( Utils::pixels( 8 ) )
					->setValue( $options['reveal_button']['font_size'] )
					->build();
				?>
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group mb-3">
				<?php
				FieldManager\Select::create()
					->setId( 'reveal_button-font_weight' )
					->setLabel( __( 'Font weight', 'wpreactions' ) )
					->setValues( [
						'100' => '100',
						'200' => '200',
						'300' => '300',
						'400' => '400',
						'500' => '500',
						'600' => '600',
						'700' => '700',
					] )
					->setValue( $options['reveal_button']['font_weight'] )
					->build();
				?>
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group mb-3">
				<?php
				FieldManager\Text::create()
					->setId( 'reveal_button-bgcolor' )
					->setLabel( __( 'Background color', 'wpreactions' ) )
					->setValue( $options['reveal_button']['bgcolor'] )
					->setType( 'color-chooser' )
					->build();
				?>
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group mb-3">
				<?php
				FieldManager\Text::create()
					->setId( 'reveal_button-border_color' )
					->setLabel( __( 'Border color', 'wpreactions' ) )
					->setValue( $options['reveal_button']['border_color'] )
					->setType( 'color-chooser' )
					->build();
				?>
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group mb-3">
				<?php
				FieldManager\Select::create()
					->setId( 'reveal_button-border_radius' )
					->setLabel( __( 'Border radius', 'wpreactions' ) )
					->setValues( Utils::pixels( 0 ) )
					->setValue( $options['reveal_button']['border_radius'] )
					->build();
				?>
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group mb-md-0 mb-3">
				<?php
				FieldManager\Text::create()
					->setId( 'reveal_button-hover_bgcolor' )
					->setLabel( __( 'Hover Background color', 'wpreactions' ) )
					->setValue( $options['reveal_button']['hover_bgcolor'] )
					->setType( 'color-chooser' )
					->build();
				?>
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group mb-md-0 mb-3">
				<?php
				FieldManager\Text::create()
					->setId( 'reveal_button-hover_text_color' )
					->setLabel( __( 'Hover text color', 'wpreactions' ) )
					->setValue( $options['reveal_button']['hover_text_color'] )
					->setType( 'color-chooser' )
					->build();
				?>
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group">
				<?php
				FieldManager\Text::create()
					->setId( 'reveal_button-hover_border_color' )
					->setLabel( __( 'Hover Border color', 'wpreactions' ) )
					->setValue( $options['reveal_button']['hover_border_color'] )
					->setType( 'color-chooser' )
					->build();
				?>
			</div>
		</div>
	</div>
</div>
